## nextcloud-spreed-signaling 0.4.1

=== Makefile ===
all: build

GO := $(shell which go)
GOPATH := "$(CURDIR)/vendor:$(CURDIR)"
GOOS ?= linux
GOARCH ?= amd64
BINDIR := "$(CURDIR)/bin"
VERSION := $(shell "$(CURDIR)/scripts/get-version.sh")
TARVERSION := $(shell "$(CURDIR)/scripts/get-version.sh" --tar)
ifneq ($(VERSION),)
INTERNALLDFLAGS := -X main.version=$(VERSION)
else
INTERNALLDFLAGS :=
endif

ifneq ($(RACE),)
BUILDARGS := -race
else
BUILDARGS :=
endif

ifneq ($(CI),)
TESTARGS := -race
else
TESTARGS :=
endif

ifeq ($(TIMEOUT),)
TIMEOUT := 60s
endif

ifneq ($(TEST),)
TESTARGS := $(TESTARGS) -run $(TEST)
endif

ifneq ($(COUNT),)
TESTARGS := $(TESTARGS) -count $(COUNT)
endif

ifeq ($(GOARCH), amd64)
VENDORBIN := $(CURDIR)/vendor/bin
else
VENDORBIN := $(CURDIR)/vendor/bin/$(GOOS)_$(GOARCH)
endif

hook:
	[ ! -d "$(CURDIR)/.git/hooks" ] || ln -sf "$(CURDIR)/scripts/pre-commit.hook" "$(CURDIR)/.git/hooks/pre-commit"

./vendor/bin/easyjson:
	GOPATH=$(GOPATH) $(GO) get -u github.com/mailru/easyjson/...

continentmap.go:
	$(CURDIR)/scripts/get_continent_map.py $@

check-continentmap:
	set -e ;\
	TMP=$$(mktemp -d) ;\
	echo Make sure to remove $$TMP on error ;\
	$(CURDIR)/scripts/get_continent_map.py $$TMP/continentmap.go ;\
	diff -u continentmap.go $$TMP/continentmap.go ;\
	rm -rf $$TMP

get:
	GOPATH=$(GOPATH) $(GO) get $(PACKAGE)

fmt: hook
	$(GO) fmt .

vet: common
	$(GO) vet .

test: vet common
	$(GO) test -v -timeout $(TIMEOUT) $(TESTARGS) .

cover: vet common
	rm -f cover.out && \
	GOPATH=$(GOPATH) $(GO) test -v -timeout $(TIMEOUT) -coverprofile cover.out . && \
	sed -i "/_easyjson/d" cover.out && \
	GOPATH=$(GOPATH) $(GO) tool cover -func=cover.out

coverhtml: vet common
	rm -f cover.out && \
	GOPATH=$(GOPATH) $(GO) test -v -timeout $(TIMEOUT) -coverprofile cover.out . && \
	sed -i "/_easyjson/d" cover.out && \
	GOPATH=$(GOPATH) $(GO) tool cover -html=cover.out -o coverage.html

%_easyjson.go: %.go ./vendor/bin/easyjson
	PATH=$(shell dirname $(GO)):$(PATH) GOPATH=$(GOPATH) "$(VENDORBIN)/easyjson" -all $*.go

common: \
	api_signaling_easyjson.go \
	api_backend_easyjson.go \
	api_proxy_easyjson.go \
	natsclient_easyjson.go \
	room_easyjson.go

$(BINDIR):
	mkdir -p $(BINDIR)

client: common $(BINDIR)
	GOPATH=$(GOPATH) $(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/client ./client/...

server: common $(BINDIR)
	GOPATH=$(GOPATH) $(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/signaling ./server/...

proxy: common $(BINDIR)
	GOPATH=$(GOPATH) $(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/proxy ./proxy/...

clean:
	rm -f *_easyjson.go

build: server proxy

tarball:
	git archive \
		--prefix=nextcloud-spreed-signaling-$(TARVERSION)/ \
		-o nextcloud-spreed-signaling-$(TARVERSION).tar.gz \
		HEAD

dist: tarball

.NOTPARALLEL: %_easyjson.go
.PHONY: continentmap.go

=== debian/changelog ===
nextcloud-spreed-signaling (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jun 2022 15:50:41 +0200

nextcloud-spreed-signaling (0.4.1-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Tue, 29 Mar 2022 18:35:28 +0200

=== debian/control ===
Source: nextcloud-spreed-signaling
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               golang-any,
               golang-easyjson,
               golang-etcd-server-dev,
               golang-github-dlintw-goconf-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-google-uuid-dev,
               golang-github-gorilla-mux-dev,
               golang-github-gorilla-securecookie-dev,
               golang-github-mailru-easyjson-dev,
               golang-github-nats-io-go-nats-dev,
               golang-github-notedit-janus-go-dev,
               golang-github-oschwald-maxminddb-golang-dev,
               golang-github-pion-sdp-dev,
               golang-prometheus-client-dev,
               golang-websocket-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling
Vcs-Git: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling.git
Homepage: https://github.com/strukturag/nextcloud-spreed-signaling
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/strukturag/nextcloud-spreed-signaling

Package: nextcloud-spreed-signaling
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser (>= 3.11)
Recommends: janus,
         nats-server
Built-Using: ${misc:Built-Using}
Description: Standalone signaling server for Nextcloud Talk (program)
 This package contains the standalone signaling server which can be
 used for Nextcloud Talk.
 .
 Nextcloud is an open source, self-hosted cloud software, and Talk
 is its WebRTC communication app. It requires a dedicated signaling
 server and a WebRTC media relay for scalability.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE = /tmp/gocache
export GOPATH = ${CURDIR}/_build:/usr/share/gocode
export GO111MODULE := off
BUILD_DIR := ${CURDIR}/_build/src/github.com/strukturag/nextcloud-spreed-signaling

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	cd ${BUILD_DIR} && \
	easyjson -all api_signaling.go && \
	easyjson -all api_backend.go && \
	easyjson -all api_proxy.go && \
	easyjson -all natsclient.go && \
	easyjson -all room.go
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-source
	cd debian/nextcloud-spreed-signaling/usr/bin; for f in client proxy server; do \
	    mv $$f nextcloud-spreed-signaling-$$f; \
	done

override_dh_auto_test:

## nextcloud-spreed-signaling 1.1.3

=== docs/requirements.txt ===
jinja2==3.1.2
markdown==3.3.7
mkdocs==1.4.3
readthedocs-sphinx-search==0.3.1
sphinx==6.2.1
sphinx_rtd_theme==1.2.2

## nextcloud-spreed-signaling 1.2.2

=== Makefile ===
all: build

GO := $(shell which go)
GOPATH := $(shell "$(GO)" env GOPATH)
GODIR := $(shell dirname "$(GO)")
GOFMT := "$(GODIR)/gofmt"
GOOS ?= linux
GOARCH ?= amd64
GOVERSION := $(shell "$(GO)" env GOVERSION | sed "s|go||" )
BINDIR := "$(CURDIR)/bin"
VENDORDIR := "$(CURDIR)/vendor"
VERSION := $(shell "$(CURDIR)/scripts/get-version.sh")
TARVERSION := $(shell "$(CURDIR)/scripts/get-version.sh" --tar)
PACKAGENAME := github.com/strukturag/nextcloud-spreed-signaling
ALL_PACKAGES := $(PACKAGENAME) $(PACKAGENAME)/client $(PACKAGENAME)/proxy $(PACKAGENAME)/server

ifneq ($(VERSION),)
INTERNALLDFLAGS := -X main.version=$(VERSION)
else
INTERNALLDFLAGS :=
endif

ifneq ($(RACE),)
BUILDARGS := -race
else
BUILDARGS :=
endif

ifneq ($(CI),)
TESTARGS := -race
else
TESTARGS :=
endif

ifeq ($(TIMEOUT),)
TIMEOUT := 60s
endif

ifneq ($(TEST),)
TESTARGS := $(TESTARGS) -run $(TEST)
endif

ifneq ($(COUNT),)
TESTARGS := $(TESTARGS) -count $(COUNT)
endif

ifeq ($(GOARCH), amd64)
GOPATHBIN := $(GOPATH)/bin
else
GOPATHBIN := $(GOPATH)/bin/$(GOOS)_$(GOARCH)
endif

hook:
	[ ! -d "$(CURDIR)/.git/hooks" ] || ln -sf "$(CURDIR)/scripts/pre-commit.hook" "$(CURDIR)/.git/hooks/pre-commit"

$(GOPATHBIN)/easyjson:
	[ "$(GOPROXY)" = "off" ] || $(GO) get -u -d github.com/mailru/easyjson/...
	$(GO) install github.com/mailru/easyjson/...

$(GOPATHBIN)/protoc-gen-go:
	$(GO) install google.golang.org/protobuf/cmd/protoc-gen-go

$(GOPATHBIN)/protoc-gen-go-grpc:
	[ "$(GOPROXY)" = "off" ] || $(GO) get -u -d google.golang.org/grpc/cmd/protoc-gen-go-grpc
	$(GO) install google.golang.org/grpc/cmd/protoc-gen-go-grpc

continentmap.go:
	$(CURDIR)/scripts/get_continent_map.py $@

check-continentmap:
	set -e ;\
	TMP=$$(mktemp -d) ;\
	echo Make sure to remove $$TMP on error ;\
	$(CURDIR)/scripts/get_continent_map.py $$TMP/continentmap.go ;\
	diff -u continentmap.go $$TMP/continentmap.go ;\
	rm -rf $$TMP

get:
	$(GO) get $(PACKAGE)

fmt: hook | common_proto
	$(GOFMT) -s -w *.go client proxy server

vet: common
	$(GO) vet $(ALL_PACKAGES)

test: vet common
	$(GO) test -v -timeout $(TIMEOUT) $(TESTARGS) $(ALL_PACKAGES)

cover: vet common
	rm -f cover.out && \
	$(GO) test -v -timeout $(TIMEOUT) -coverprofile cover.out $(ALL_PACKAGES) && \
	sed -i "/_easyjson/d" cover.out && \
	sed -i "/\.pb\.go/d" cover.out && \
	$(GO) tool cover -func=cover.out

coverhtml: vet common
	rm -f cover.out && \
	$(GO) test -v -timeout $(TIMEOUT) -coverprofile cover.out $(ALL_PACKAGES) && \
	sed -i "/_easyjson/d" cover.out && \
	sed -i "/\.pb\.go/d" cover.out && \
	$(GO) tool cover -html=cover.out -o coverage.html

%_easyjson.go: %.go $(GOPATHBIN)/easyjson | common_proto
	PATH="$(GODIR)":$(PATH) "$(GOPATHBIN)/easyjson" -all $*.go

%.pb.go: %.proto $(GOPATHBIN)/protoc-gen-go $(GOPATHBIN)/protoc-gen-go-grpc
	PATH="$(GODIR)":"$(GOPATHBIN)":$(PATH) protoc --go_out=. --go_opt=paths=source_relative \
		--go-grpc_out=. --go-grpc_opt=paths=source_relative \
		$*.proto

common: common_easyjson common_proto

common_easyjson: \
	api_async_easyjson.go \
	api_backend_easyjson.go \
	api_grpc_easyjson.go \
	api_proxy_easyjson.go \
	api_signaling_easyjson.go

common_proto: \
	grpc_backend.pb.go \
	grpc_internal.pb.go \
	grpc_mcu.pb.go \
	grpc_sessions.pb.go

$(BINDIR):
	mkdir -p $(BINDIR)

client: common $(BINDIR)
	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/client ./client/...

server: common $(BINDIR)
	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/signaling ./server/...

proxy: common $(BINDIR)
	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/proxy ./proxy/...

clean:
	rm -f *_easyjson.go
	rm -f easyjson-bootstrap*.go
	rm -f *.pb.go

build: server proxy

vendor: go.mod go.sum common
	set -e ;\
	rm -rf $(VENDORDIR)
	$(GO) mod tidy; \
	$(GO) mod vendor

tarball: vendor
	git archive \
		--prefix=nextcloud-spreed-signaling-$(TARVERSION)/ \
		-o nextcloud-spreed-signaling-$(TARVERSION).tar \
		HEAD
	tar rf nextcloud-spreed-signaling-$(TARVERSION).tar \
		-C $(CURDIR) \
		--mtime="$(shell git log -1 --date=iso8601-strict --format=%cd HEAD)" \
		--transform "s//nextcloud-spreed-signaling-$(TARVERSION)\//" \
		vendor
	gzip --force nextcloud-spreed-signaling-$(TARVERSION).tar

dist: tarball

.NOTPARALLEL: %_easyjson.go
.PHONY: continentmap.go vendor

=== docs/requirements.txt ===
jinja2==3.1.2
markdown==3.5.1
mkdocs==1.5.3
readthedocs-sphinx-search==0.3.1
sphinx==7.2.6
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
nextcloud-spreed-signaling (1.2.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Dec 2023 06:07:54 +0100

nextcloud-spreed-signaling (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * [38c8013] New upstream version 1.2.2
  * [8860bee] Refresh patchs for the new version

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Dec 2023 06:35:34 +0100

nextcloud-spreed-signaling (1.1.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Dec 2023 06:22:28 +0100

nextcloud-spreed-signaling (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Oct 2023 06:14:11 +0200

nextcloud-spreed-signaling (1.1.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * [901551c] New upstream version 1.1.3.
  * [5c1cfff] Apply patch to build with current etcd.
  * [002057b] Add protoc-gen-go-grpc to build-depends.
  * [03dd8a6] Generate and build proto-files.
  * [e173efd] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Mon, 16 Oct 2023 21:35:15 +0200

nextcloud-spreed-signaling (0.4.1-4) unstable; urgency=medium

  * Team upload
  * No-change rebuild against golang-github-golang-protobuf-1-3 for
    testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Jan 2023 16:47:30 +0800

nextcloud-spreed-signaling (0.4.1-3) unstable; urgency=medium

  * Team upload
  * Bump golang-etcd-server-dev to 3.4.
    And drop patch for etcd 3.3.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 23:59:03 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-golang,
                golang-any,
                golang-easyjson,
-               golang-etcd-server-dev,
+               golang-etcd-server-dev (>= 3.4),
                golang-github-dlintw-goconf-dev,
                golang-github-golang-jwt-jwt-dev,
                golang-github-google-uuid-dev,
@@ -21,8 +21,9 @@
                golang-github-oschwald-maxminddb-golang-dev,
                golang-github-pion-sdp-dev,
                golang-prometheus-client-dev,
-               golang-websocket-dev
-Standards-Version: 4.6.0
+               golang-websocket-dev,
+               protoc-gen-go-grpc
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling
 Vcs-Git: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling.git
 Homepage: https://github.com/strukturag/nextcloud-spreed-signaling

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,15 @@
 
 override_dh_auto_build:
 	cd ${BUILD_DIR} && \
+	protoc --go_out=. --go_opt=paths=source_relative --go-grpc_out=. --go-grpc_opt=paths=source_relative *.proto && \
+	easyjson -all grpc_backend.pb.go && \
+	easyjson -all grpc_internal.pb.go && \
+	easyjson -all grpc_mcu.pb.go && \
+	easyjson -all grpc_sessions.pb.go && \
 	easyjson -all api_signaling.go && \
+	easyjson -all api_async.go && \
 	easyjson -all api_backend.go && \
+	easyjson -all api_grpc.go && \
 	easyjson -all api_proxy.go && \
 	easyjson -all natsclient.go && \
 	easyjson -all room.go

## nextcloud-spreed-signaling 1.2.3

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 endif
 
 ifneq ($(TEST),)
-TESTARGS := $(TESTARGS) -run $(TEST)
+TESTARGS := $(TESTARGS) -run "$(TEST)"
 endif
 
 ifneq ($(COUNT),)

=== docs/requirements.txt ===
jinja2==3.1.3
markdown==3.5.2
mkdocs==1.5.3
readthedocs-sphinx-search==0.3.2
sphinx==7.2.6
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
nextcloud-spreed-signaling (1.2.3-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 15:30:57 +1000

nextcloud-spreed-signaling (1.2.3-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 11:39:53 +1000

nextcloud-spreed-signaling (1.2.3-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:23:41 +0530

nextcloud-spreed-signaling (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase etcd.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Feb 2024 20:19:16 +0100

nextcloud-spreed-signaling (1.2.2-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Drop build-with-sdp-3.4.patch. Resolved upstream (and wrong approach).
      See: https://github.com/strukturag/nextcloud-spreed-signaling/pull/301
      and https://github.com/strukturag/nextcloud-spreed-signaling/issues/
      279#issuecomment-1196857450. (Closes: #1060286).
  * debian/changelog:
    + Adjust @fancycode's real name in previous upload stanza.

  [ Joachim Bauch ]
  * debian/control:
    + Adjust dependencies under Suggests: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 24 Jan 2024 10:12:19 +0100

nextcloud-spreed-signaling (1.2.2-2) unstable; urgency=medium

  * debian/*:
    + Split-up single bin:pkg into four bin:pkgs (server, proxy, client,
      common).
  * debian/patches/*systemd*.patch:
    + Improve/fix/adapt upstream's systemd .service file (for server).
      (Closes: #1060193).
    + Add header to build-with-sdp-3.4.patch.
  * lintian:
    + Silence no-manual-page complaints. Reported upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add myself to Uploaders: field.
    + Add Joachim Bauch to Uploaders: field (upstream + DM).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jan 2024 17:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,9 @@
 Source: nextcloud-spreed-signaling
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Dominik George <natureshadow@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Dominik George <natureshadow@debian.org>,
+           Joachim Bauch <bauch@struktur.de>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -32,16 +35,77 @@
 
 Package: nextcloud-spreed-signaling
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         adduser (>= 3.11)
-Recommends: janus,
-         nats-server
+Depends:
+ nextcloud-spreed-signaling-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ gnatsd,
+ janus,
 Built-Using: ${misc:Built-Using}
-Description: Standalone signaling server for Nextcloud Talk (program)
- This package contains the standalone signaling server which can be
- used for Nextcloud Talk.
- .
+Description: Standalone signaling server for Nextcloud Talk
  Nextcloud is an open source, self-hosted cloud software, and Talk
  is its WebRTC communication app. It requires a dedicated signaling
  server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+
+Package: nextcloud-spreed-signaling-proxy
+Architecture: any
+Depends:
+ nextcloud-spreed-signaling-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ janus,
+Built-Using: ${misc:Built-Using}
+Breaks: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Replaces: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Description: Standalone signaling server for Nextcloud Talk - proxy
+ Nextcloud is an open source, self-hosted cloud software, and Talk
+ is its WebRTC communication app. It requires a dedicated signaling
+ server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+ .
+ This package contains the proxy code that is necessary to connect a signaling
+ server to multiple Janus backends.
+
+Package: nextcloud-spreed-signaling-client
+Architecture: any
+Depends:
+ nextcloud-spreed-signaling-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ nextcloud-spreed-signaling,
+Built-Using: ${misc:Built-Using}
+Breaks: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Replaces: nextcloud-spreed-signaling (<< 1.2.2-2~),
+Description: Standalone signaling server for Nextcloud Talk - benchmarking client
+ Nextcloud is an open source, self-hosted cloud software, and Talk
+ is its WebRTC communication app. It requires a dedicated signaling
+ server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+ .
+ This package contains a client for benchmarking the signaling server.
+
+Package: nextcloud-spreed-signaling-common
+Architecture: all
+Depends:
+ adduser,
+ ${misc:Depends},
+Description: Standalone signaling server for Nextcloud Talk - common
+ Nextcloud is an open source, self-hosted cloud software, and Talk
+ is its WebRTC communication app. It requires a dedicated signaling
+ server and a WebRTC media relay for scalability.
+ .
+ nextcloud-spreed-signaling is a standalone signaling server for Nextcloud Talk
+ for improved performance.
+ .
+ This dependency package contains common files / scripts and creates
+ the _signaling system user.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-	cd debian/nextcloud-spreed-signaling/usr/bin; for f in client proxy server; do \
+	cd debian/tmp/usr/bin; for f in client proxy server; do \
 	    mv $$f nextcloud-spreed-signaling-$$f; \
 	done

## nextcloud-spreed-signaling 1.2.4

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,20 @@
 GOOS ?= linux
 GOARCH ?= amd64
 GOVERSION := $(shell "$(GO)" env GOVERSION | sed "s|go||" )
-BINDIR := "$(CURDIR)/bin"
+BINDIR := $(CURDIR)/bin
 VENDORDIR := "$(CURDIR)/vendor"
 VERSION := $(shell "$(CURDIR)/scripts/get-version.sh")
 TARVERSION := $(shell "$(CURDIR)/scripts/get-version.sh" --tar)
 PACKAGENAME := github.com/strukturag/nextcloud-spreed-signaling
 ALL_PACKAGES := $(PACKAGENAME) $(PACKAGENAME)/client $(PACKAGENAME)/proxy $(PACKAGENAME)/server
+PROTO_FILES := $(basename $(wildcard *.proto))
+PROTO_GO_FILES := $(addsuffix .pb.go,$(PROTO_FILES)) $(addsuffix _grpc.pb.go,$(PROTO_FILES))
+EASYJSON_GO_FILES := \
+	api_async_easyjson.go \
+	api_backend_easyjson.go \
+	api_grpc_easyjson.go \
+	api_proxy_easyjson.go \
+	api_signaling_easyjson.go
 
 ifneq ($(VERSION),)
 INTERNALLDFLAGS := -X main.version=$(VERSION)
@@ -53,15 +61,15 @@
 hook:
 	[ ! -d "$(CURDIR)/.git/hooks" ] || ln -sf "$(CURDIR)/scripts/pre-commit.hook" "$(CURDIR)/.git/hooks/pre-commit"
 
-$(GOPATHBIN)/easyjson:
-	[ "$(GOPROXY)" = "off" ] || $(GO) get -u -d github.com/mailru/easyjson/...
+$(GOPATHBIN)/easyjson: go.mod go.sum
+	[ "$(GOPROXY)" = "off" ] || $(GO) get -d github.com/mailru/easyjson/...
 	$(GO) install github.com/mailru/easyjson/...
 
-$(GOPATHBIN)/protoc-gen-go:
+$(GOPATHBIN)/protoc-gen-go: go.mod go.sum
 	$(GO) install google.golang.org/protobuf/cmd/protoc-gen-go
 
-$(GOPATHBIN)/protoc-gen-go-grpc:
-	[ "$(GOPROXY)" = "off" ] || $(GO) get -u -d google.golang.org/grpc/cmd/protoc-gen-go-grpc
+$(GOPATHBIN)/protoc-gen-go-grpc: go.mod go.sum
+	[ "$(GOPROXY)" = "off" ] || $(GO) get -d google.golang.org/grpc/cmd/protoc-gen-go-grpc
 	$(GO) install google.golang.org/grpc/cmd/protoc-gen-go-grpc
 
 continentmap.go:
@@ -78,7 +86,7 @@
 get:
 	$(GO) get $(PACKAGE)
 
-fmt: hook | common_proto
+fmt: hook | $(PROTO_GO_FILES)
 	$(GOFMT) -s -w *.go client proxy server
 
 vet: common
@@ -101,45 +109,38 @@
 	sed -i "/\.pb\.go/d" cover.out && \
 	$(GO) tool cover -html=cover.out -o coverage.html
 
-%_easyjson.go: %.go $(GOPATHBIN)/easyjson | common_proto
+%_easyjson.go: %.go $(GOPATHBIN)/easyjson | $(PROTO_GO_FILES)
+	rm -f easyjson-bootstrap*.go
 	PATH="$(GODIR)":$(PATH) "$(GOPATHBIN)/easyjson" -all $*.go
 
 %.pb.go: %.proto $(GOPATHBIN)/protoc-gen-go $(GOPATHBIN)/protoc-gen-go-grpc
-	PATH="$(GODIR)":"$(GOPATHBIN)":$(PATH) protoc --go_out=. --go_opt=paths=source_relative \
+	PATH="$(GODIR)":"$(GOPATHBIN)":$(PATH) protoc \
+		--go_out=. --go_opt=paths=source_relative \
+		$*.proto
+
+%_grpc.pb.go: %.proto $(GOPATHBIN)/protoc-gen-go $(GOPATHBIN)/protoc-gen-go-grpc
+	PATH="$(GODIR)":"$(GOPATHBIN)":$(PATH) protoc \
 		--go-grpc_out=. --go-grpc_opt=paths=source_relative \
 		$*.proto
 
-common: common_easyjson common_proto
-
-common_easyjson: \
-	api_async_easyjson.go \
-	api_backend_easyjson.go \
-	api_grpc_easyjson.go \
-	api_proxy_easyjson.go \
-	api_signaling_easyjson.go
-
-common_proto: \
-	grpc_backend.pb.go \
-	grpc_internal.pb.go \
-	grpc_mcu.pb.go \
-	grpc_sessions.pb.go
+common: $(EASYJSON_GO_FILES) $(PROTO_GO_FILES)
 
 $(BINDIR):
-	mkdir -p $(BINDIR)
+	mkdir -p "$(BINDIR)"
 
 client: common $(BINDIR)
-	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/client ./client/...
+	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o "$(BINDIR)/client" ./client/...
 
 server: common $(BINDIR)
-	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/signaling ./server/...
+	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o "$(BINDIR)/signaling" ./server/...
 
 proxy: common $(BINDIR)
-	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $(BINDIR)/proxy ./proxy/...
+	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o "$(BINDIR)/proxy" ./proxy/...
 
 clean:
-	rm -f *_easyjson.go
+	rm -f $(EASYJSON_GO_FILES)
 	rm -f easyjson-bootstrap*.go
-	rm -f *.pb.go
+	rm -f $(PROTO_GO_FILES)
 
 build: server proxy
 
@@ -163,5 +164,7 @@
 
 dist: tarball
 
-.NOTPARALLEL: %_easyjson.go
-.PHONY: continentmap.go vendor
+.NOTPARALLEL: $(EASYJSON_GO_FILES)
+.PHONY: continentmap.go common vendor
+.SECONDARY: $(EASYJSON_GO_FILES) $(PROTO_GO_FILES)
+.DELETE_ON_ERROR:

=== docs/requirements.txt ===
jinja2==3.1.3
markdown==3.6
mkdocs==1.5.3
readthedocs-sphinx-search==0.3.2
sphinx==7.2.6
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
nextcloud-spreed-signaling (1.2.4-3) unstable; urgency=medium

  * Team upload
  * Move systemd service file to be under /usr (Closes: #1073632)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 18 Aug 2024 19:10:16 +0000

nextcloud-spreed-signaling (1.2.4-2) unstable; urgency=medium

  * Team upload
  * Drop patch for etcd now that 3.5 has been packaged
  * d/control:
    - Set minimum version of golang-etcd-server-dev and
      golang-github-nats-io-go-nats-dev
    - Add protoc-gen-go-1-5 to Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Aug 2024 00:44:57 +0000

nextcloud-spreed-signaling (1.2.4-1) unstable; urgency=medium

  [ Mike Gabriel
  * New upstream release.
  * debian/patches:
    + Add get-debian-version.patch. Derive VERSION from Debian package version.
  * debian/rules:
    + Inject version number (derived from package version) into built executable.

  [ Joachim Bauch ]
  * debian/control:
    + Fix S: field: gnatsd -> nats-server.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Jun 2024 08:58:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: nextcloud-spreed-signaling
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Dominik George <natureshadow@debian.org>,
            Joachim Bauch <bauch@struktur.de>,
@@ -12,19 +11,20 @@
                dh-golang,
                golang-any,
                golang-easyjson,
-               golang-etcd-server-dev (>= 3.4),
+               golang-etcd-server-dev (>= 3.5.15-5),
                golang-github-dlintw-goconf-dev,
                golang-github-golang-jwt-jwt-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-mux-dev,
                golang-github-gorilla-securecookie-dev,
                golang-github-mailru-easyjson-dev,
-               golang-github-nats-io-go-nats-dev,
+               golang-github-nats-io-go-nats-dev (>= 1.30.2-2),
                golang-github-notedit-janus-go-dev,
                golang-github-oschwald-maxminddb-golang-dev,
                golang-github-pion-sdp-dev,
                golang-prometheus-client-dev,
                golang-websocket-dev,
+               protoc-gen-go-1-5,
                protoc-gen-go-grpc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nextcloud-spreed-signaling
@@ -40,8 +40,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- gnatsd,
  janus,
+ nats-server,
 Built-Using: ${misc:Built-Using}
 Description: Standalone signaling server for Nextcloud Talk
  Nextcloud is an open source, self-hosted cloud software, and Talk

## nextcloud-spreed-signaling 2.0.2

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,21 @@
 TARVERSION := $(shell "$(CURDIR)/scripts/get-version.sh" --tar)
 PACKAGENAME := github.com/strukturag/nextcloud-spreed-signaling
 ALL_PACKAGES := $(PACKAGENAME) $(PACKAGENAME)/client $(PACKAGENAME)/proxy $(PACKAGENAME)/server
-PROTO_FILES := $(basename $(wildcard *.proto))
-PROTO_GO_FILES := $(addsuffix .pb.go,$(PROTO_FILES)) $(addsuffix _grpc.pb.go,$(PROTO_FILES))
-EASYJSON_GO_FILES := \
-	api_async_easyjson.go \
-	api_backend_easyjson.go \
-	api_grpc_easyjson.go \
-	api_proxy_easyjson.go \
-	api_signaling_easyjson.go
+GRPC_PROTO_FILES := $(basename $(wildcard grpc_*.proto))
+PROTOBUF_VERSION := $(shell grep google.golang.org/protobuf go.mod | xargs | cut -d ' ' -f 2)
+PROTO_FILES := $(filter-out $(GRPC_PROTO_FILES),$(basename $(wildcard *.proto)))
+PROTO_GO_FILES := $(addsuffix .pb.go,$(PROTO_FILES))
+GRPC_PROTO_GO_FILES := $(addsuffix .pb.go,$(GRPC_PROTO_FILES)) $(addsuffix _grpc.pb.go,$(GRPC_PROTO_FILES))
+TEST_GO_FILES := $(wildcard *_test.go))
+EASYJSON_FILES := $(filter-out $(TEST_GO_FILES),$(wildcard api*.go))
+EASYJSON_GO_FILES := $(patsubst %.go,%_easyjson.go,$(EASYJSON_FILES))
+COMMON_GO_FILES := $(filter-out continentmap.go $(PROTO_GO_FILES) $(GRPC_PROTO_GO_FILES) $(EASYJSON_GO_FILES) $(TEST_GO_FILES),$(wildcard *.go))
+CLIENT_TEST_GO_FILES := $(wildcard client/*_test.go))
+CLIENT_GO_FILES := $(filter-out $(CLIENT_TEST_GO_FILES),$(wildcard client/*.go))
+SERVER_TEST_GO_FILES := $(wildcard server/*_test.go))
+SERVER_GO_FILES := $(filter-out $(SERVER_TEST_GO_FILES),$(wildcard server/*.go))
+PROXY_TEST_GO_FILES := $(wildcard proxy/*_test.go))
+PROXY_GO_FILES := $(filter-out $(PROXY_TEST_GO_FILES),$(wildcard proxy/*.go))
 
 ifneq ($(VERSION),)
 INTERNALLDFLAGS := -X main.version=$(VERSION)
@@ -52,6 +59,14 @@
 TESTARGS := $(TESTARGS) -count $(COUNT)
 endif
 
+ifneq ($(PARALLEL),)
+TESTARGS := $(TESTARGS) -parallel $(PARALLEL)
+endif
+
+ifneq ($(VERBOSE),)
+TESTARGS := $(TESTARGS) -v
+endif
+
 ifeq ($(GOARCH), amd64)
 GOPATHBIN := $(GOPATH)/bin
 else
@@ -62,14 +77,12 @@
 	[ ! -d "$(CURDIR)/.git/hooks" ] || ln -sf "$(CURDIR)/scripts/pre-commit.hook" "$(CURDIR)/.git/hooks/pre-commit"
 
 $(GOPATHBIN)/easyjson: go.mod go.sum
-	[ "$(GOPROXY)" = "off" ] || $(GO) get -d github.com/mailru/easyjson/...
 	$(GO) install github.com/mailru/easyjson/...
 
 $(GOPATHBIN)/protoc-gen-go: go.mod go.sum
-	$(GO) install google.golang.org/protobuf/cmd/protoc-gen-go
+	$(GO) install google.golang.org/protobuf/cmd/protoc-gen-go@$(PROTOBUF_VERSION)
 
 $(GOPATHBIN)/protoc-gen-go-grpc: go.mod go.sum
-	[ "$(GOPROXY)" = "off" ] || $(GO) get -d google.golang.org/grpc/cmd/protoc-gen-go-grpc
 	$(GO) install google.golang.org/grpc/cmd/protoc-gen-go-grpc
 
 continentmap.go:
@@ -89,22 +102,22 @@
 fmt: hook | $(PROTO_GO_FILES)
 	$(GOFMT) -s -w *.go client proxy server
 
-vet: common
+vet:
 	$(GO) vet $(ALL_PACKAGES)
 
-test: vet common
-	$(GO) test -v -timeout $(TIMEOUT) $(TESTARGS) $(ALL_PACKAGES)
+test: vet
+	$(GO) test -timeout $(TIMEOUT) $(TESTARGS) $(ALL_PACKAGES)
 
-cover: vet common
+cover: vet
 	rm -f cover.out && \
-	$(GO) test -v -timeout $(TIMEOUT) -coverprofile cover.out $(ALL_PACKAGES) && \
+	$(GO) test -timeout $(TIMEOUT) -coverprofile cover.out $(ALL_PACKAGES) && \
 	sed -i "/_easyjson/d" cover.out && \
 	sed -i "/\.pb\.go/d" cover.out && \
 	$(GO) tool cover -func=cover.out
 
-coverhtml: vet common
+coverhtml: vet
 	rm -f cover.out && \
-	$(GO) test -v -timeout $(TIMEOUT) -coverprofile cover.out $(ALL_PACKAGES) && \
+	$(GO) test -timeout $(TIMEOUT) -coverprofile cover.out $(ALL_PACKAGES) && \
 	sed -i "/_easyjson/d" cover.out && \
 	sed -i "/\.pb\.go/d" cover.out && \
 	$(GO) tool cover -html=cover.out -o coverage.html
@@ -117,37 +130,53 @@
 	PATH="$(GODIR)":"$(GOPATHBIN)":$(PATH) protoc \
 		--go_out=. --go_opt=paths=source_relative \
 		$*.proto
+	sed -i -e '1h;2,$$H;$$!d;g' -re 's|// versions.+// source:|// source:|' $*.pb.go
 
 %_grpc.pb.go: %.proto $(GOPATHBIN)/protoc-gen-go $(GOPATHBIN)/protoc-gen-go-grpc
 	PATH="$(GODIR)":"$(GOPATHBIN)":$(PATH) protoc \
 		--go-grpc_out=. --go-grpc_opt=paths=source_relative \
 		$*.proto
+	sed -i -e '1h;2,$$H;$$!d;g' -re 's|// versions.+// source:|// source:|' $*_grpc.pb.go
 
-common: $(EASYJSON_GO_FILES) $(PROTO_GO_FILES)
+common: $(EASYJSON_GO_FILES) $(PROTO_GO_FILES) $(GRPC_PROTO_GO_FILES)
+# Optimize easyjson files that could call generated functions instead of duplicating code.
+	for file in $(EASYJSON_FILES); do \
+		rm -f easyjson-bootstrap*.go; \
+		PATH="$(GODIR)":$(PATH) "$(GOPATHBIN)/easyjson" -all $$file; \
+	done
 
 $(BINDIR):
 	mkdir -p "$(BINDIR)"
 
-client: common $(BINDIR)
-	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o "$(BINDIR)/client" ./client/...
+client: $(BINDIR)/client
 
-server: common $(BINDIR)
-	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o "$(BINDIR)/signaling" ./server/...
+$(BINDIR)/client: go.mod go.sum $(CLIENT_GO_FILES) $(COMMON_GO_FILES) | $(BINDIR)
+	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $@ ./client/...
 
-proxy: common $(BINDIR)
-	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o "$(BINDIR)/proxy" ./proxy/...
+server: $(BINDIR)/signaling
+
+$(BINDIR)/signaling: go.mod go.sum $(SERVER_GO_FILES) $(COMMON_GO_FILES) | $(BINDIR)
+	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $@ ./server/...
+
+proxy: $(BINDIR)/proxy
+
+$(BINDIR)/proxy: go.mod go.sum $(PROXY_GO_FILES) $(COMMON_GO_FILES) | $(BINDIR)
+	$(GO) build $(BUILDARGS) -ldflags '$(INTERNALLDFLAGS)' -o $@ ./proxy/...
 
 clean:
-	rm -f $(EASYJSON_GO_FILES)
 	rm -f easyjson-bootstrap*.go
-	rm -f $(PROTO_GO_FILES)
+	rm -f "$(BINDIR)/client"
+	rm -f "$(BINDIR)/signaling"
+	rm -f "$(BINDIR)/proxy"
+
+clean-generated: clean
+	rm -f $(EASYJSON_GO_FILES) $(PROTO_GO_FILES) $(GRPC_PROTO_GO_FILES)
 
 build: server proxy
 
-vendor: go.mod go.sum common
+vendor: go.mod go.sum
 	set -e ;\
 	rm -rf $(VENDORDIR)
-	$(GO) mod tidy; \
 	$(GO) mod vendor
 
 tarball: vendor

=== docs/requirements.txt ===
jinja2==3.1.5
markdown==3.7
mkdocs==1.6.1
readthedocs-sphinx-search==0.3.2
sphinx==8.1.3
sphinx_rtd_theme==3.0.2

=== debian/changelog ===
nextcloud-spreed-signaling (2.0.2-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Sep 2025 20:47:25 +0200

nextcloud-spreed-signaling (2.0.2-1) experimental; urgency=medium

  * Team Upload

  [ Mike Gabriel ]
  * New upstream release.
  * New upstream version 2.0.2
  * debian/patches: Add jwt-v500-revert.patch,
    jwt-v500-revert-generated-files.patch, jwt-v451-revert.patch.
    Revert to jwt v4.50 API, as Debian ships a 5.0-to-4.5.0-reverted jwt
    version at the moment.
  * debian/patches: Add cache-control-vendor.patch. Switch from
    github.com/marcw/cachecontrol (dead upstream) to
    github.com/pquerna/cachecontrol/cacheobject.
  * debian/control: Add version to B-D: golang-github-pion-sdp-dev (>= 3.0.10).
  * debian/control: Add to B-D: golang-github-pquerna-cachecontrol-dev.

 -- Pirate Praveen <praveen@debian.org>  Thu, 19 Jun 2025 17:01:23 +0530

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
                golang-github-nats-io-go-nats-dev (>= 1.30.2-2),
                golang-github-notedit-janus-go-dev,
                golang-github-oschwald-maxminddb-golang-dev,
-               golang-github-pion-sdp-dev,
+               golang-github-pion-sdp-dev (>= 3.0.10),
+               golang-github-pquerna-cachecontrol-dev,
                golang-prometheus-client-dev,
                golang-websocket-dev,
                protoc-gen-go-1-5,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export GOPATH = ${CURDIR}/_build:/usr/share/gocode
 export GO111MODULE := off
 BUILD_DIR := ${CURDIR}/_build/src/github.com/strukturag/nextcloud-spreed-signaling
+
+VERSION := $(shell $(CURDIR)/scripts/get-version.sh)
+export INTERNALLDFLAGS := -ldflags "-X main.version=$(VERSION)"
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
@@ -22,7 +25,7 @@
 	easyjson -all api_proxy.go && \
 	easyjson -all natsclient.go && \
 	easyjson -all room.go
-	dh_auto_build
+	dh_auto_build -- $(INTERNALLDFLAGS)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/strukturag/nextcloud-spreed-signaling/tags .*/v?(\d\S*)\.tar\.gz debian
